/* apply a natural box layout model to all elements, but allowing components to change */
html {
  box-sizing: border-box;

  font-size: 62.5%;
}
*,
*:before,
*:after {
  box-sizing: inherit;
}
/** CUSTON PROPERTY **/
:root {
  --botonheader: #0063e5;
  --colorboton: #6421ff;
  --blanco: #ffffff;
  --negro: #000000;
  --colorparrafo: #c0c0c0;
  --colorbody: #040714;
  --colorclaro: #6421ff21;
  --colorpregunta: #c0c0c0;
  --fuente: "Maven Pro", sans-serif;
}
a {
  text-decoration: none;
}
li {
  list-style: none;
}
img {
  display: block;
  width: 100%;
}
[class$="__contenedor"] {
  max-width: 120rem;
  width: 90%;
  margin: 0 auto;
}
body {
  font-family: var(--fuente);
  background-color: var(--colorbody);
  color: var(--blanco);
}
/** HEADER **/
.header {
  color: var(--blanco);
  background-size: cover;
  background-position: right center;
  background-repeat: no-repeat;
  background-image: url(../img/movil.jfif);
  height: 70rem;
}

@media (min-width: 992px) {
  .header {
    background-image: url(../img//laptop.jfif);
  }
}
@media (min-width: 1280px) {
  .header {
    background-image: url(../img/escritorio.jfif);
   
    height: 100rem;
  }
}
.header__contenedor {
  text-align: center;
}
.header__img {
  width: 20rem;
  margin: 0 auto;
  padding-bottom: 2rem;
}
@media (min-width: 1280px){
  .header__img{
    width: 10rem;
  }
}
.header__navegacion {
 
  gap: 1rem;
  display: flex;
    flex-direction: column;

}
@media (min-width: 1280px) {
  .header__navegacion {
    display: flex;
    flex-direction: row;
  }
}
.header__link {
 
  margin-bottom: 2rem;
 
}
.header__link--azul {
  background-color: var(--botonheader);
  color: var(--blanco);
  padding: 1.1rem;
  font-size: 1.7rem;
  text-transform: uppercase;
  font-weight: 400;
}
.header__link--fondo {
  border: 0.1rem solid var(--colorpregunta);
  color: var(--blanco);
  padding: 1rem;
  font-size: 1.7rem;
  text-transform: uppercase;
  font-weight: 400;
  background-color: var(--negro);
}

@media (min-width: 768px) {
  .header__grid {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 0;
  }
  .header__img {
    padding-bottom: 0;
  }
}
.header__banner {
  padding-top: 5rem;
  text-align: center;
 
  margin: 0 auto;
  
}
@media (min-width: 1280px) {
  .header__banner {
    margin-top: 20rem;
    text-align: left;
    width: 50%;
    margin-left: -2rem;
    text-align: center;
   
  }
}

.header__imagen{

  margin: 0 auto;
}
.header__img--banner {
  width: 15rem;
  margin: 0 auto;

 
  
 
}
@media (min-width: 768px) {
  .header__img--banner {

    width: 30rem;
    padding: 2rem 0;
    
    
    
  }
}

.header__title{
  font-size: 2.5rem;
 
}
.boton--morado{
  display: block;
  background-color: var(--colorboton);
  padding: 2rem;

  color: var(--blanco);
  font-size: 2rem;
  text-align: center;
  text-transform: uppercase;
}

/** PLAN **/
.plan{
  text-align: center;
  padding: 2rem 0;
  
}

.plan__heading{
  font-size: 5rem;
  font-weight: 400;
  padding-bottom: 2rem;
}
@media (min-width: 768px){
  .plan__grid{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 5rem;
  }
}

@media (min-width: 1280px){
  .plan__grid{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 5rem;
  }
}

.plan__card{

  padding: 2rem;
  margin: 3rem 0;
}
@media (min-width: 768px){
  .plan__card{
    width: 90%;
    margin: 0;
  
  }
}
.plan__card--none{
  display: none;
}
@media (min-width: 768px){
  .plan__card--none{
    display: block;
  }

}
@media (min-width: 1280px){
  .plan__card--none{
    display: none;
  }

}

.plan__card--fondo{
  position: relative;
  background-color: var(--colorclaro);
    
  border: .3rem solid  var(--colorboton);
  padding-top: 6rem;
}

.plan__p{
  position: absolute;
  left: -.4rem;
  top: -4rem;
  background-color: var(--colorboton);
  padding: 1rem;
  font-size: 1.8rem;
}
.plan__title{
  font-size: 3rem;
  line-height: 1.5;
}
.plan__texto{
  font-size: 1.8rem;
  line-height: 1.5;
}
/** UNO **/
.uno{
  margin: 4rem 0;
  text-align: center;
}

@media (min-width: 768px){
  .uno__grid{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 2rem;
    align-items: center;
  }
}
.uno__heading{
  font-size: 3.5rem;
  
}
.uno__txt{
  font-size: 1.8rem;
  line-height: 1.5;
}
@media (min-width: 768px){
  .uno__heading,.uno__txt{
    text-align: left;
  }
}

/**GALERIA **/
.galeria{
  margin: 10rem 0;
  text-align: center;
}
@media (min-width: 1280px){
  .galeria{
    margin: 16rem 0;
  }

}
.galeria__heading{
  font-size: 5rem;
  font-weight: 600;
}
.galeria__texto{
  font-size: 1.8rem;
  padding-bottom: 2rem;
}
@media (min-width: 768px){
  .galeria__grid{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 2rem;
  }
}@media (min-width: 1280px){
  .galeria__grid{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 2rem;
  }
}
.galeria__img{
  height: 30rem;
  object-fit: cover;
  margin-bottom: 2rem;
}
@media (min-width: 768px){
  .galeria__img{
    margin-bottom: 0;
  }
  .galeria__img--none{
    display: none;
  }
}
@media (min-width: 1280px){
  .galeria__img--none{
    display: block;
  }
}

/** REY **/
.rey{
  margin: 10rem 0;
 
}


.rey__contenedor{
    background-image: url(../img/reymovil.png);
    height: 100rem;
    background-repeat: no-repeat;
   
    
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
  
   
    
}



.rey__descripcion{
  grid-row: 3/ 3;
  grid-column: 1 / 3;

  margin: 0 auto;
  padding: 2rem;
}
@media (min-width: 1280px){
  .rey__contenedor{
    background-image: url(../img/rey.png);
    height: 100rem;
   
    
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
  
   
    
  }
  .rey__descripcion{
    grid-row: 1 / 3;
    grid-column: 2 / 3;
    width: 90%;
    margin: 0 auto;
    padding: 2rem;
  }


}

.rey__heading{
  font-size: 3rem;
  text-align: left;
}


.rey__texto{
  font-size: 1.8rem;
  line-height: 1.5;
}

/** DISPOSITIVOS **/

.dispositivos{
  margin-top: 2rem ;
  color: var(--blanco);
  text-align: center;
}
@media (min-width: 1280px){
  .dispositivos{
    margin-top: 10rem;
  }
}
.dispositivos__heading{
  font-size: 3rem;
  padding-bottom: 2rem;
  text-align: center;
  font-weight: 600;
}
@media (min-width: 768px){
  .dispositivos__grid{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 2rem;
  }
}

@media (min-width: 768px){
  .dispositivos__grid{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 2rem;
  }
}

@media (min-width: 1280px){
  .dispositivos__grid{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 2rem;
  }
}
.dispositivos__card {
  background-color: #fff;
  color: #000;
  padding: 2rem;
  margin-bottom: 3rem;
  border-radius: .5rem;
}
.dispositivos__title{
  font-size: 3rem;
  padding-bottom: 2rem;
}
.dispositivos__texto{
  font-size: 1.8rem;
}

/** PREGUNTAS **/
.preguntas{
  margin-top: 9rem ;
}
.preguntas__heading{
  text-align: center;
  font-size: 3rem;
  padding-bottom: 2rem;
}
.preguntas__card{
  background-color:#13151d;
  padding: 2rem ;
  margin-bottom: 2rem;
  display: grid;
  align-items: center;
 

  

}
@media (min-width: 768px){
  .preguntas__card{
    
    grid-template-columns: repeat(3,1fr);

  }

}
.preguntas__title{
  text-align: left;
}

.preguntas__title,.preguntas__signo{
  font-size: 2rem;
}

.preguntas__signo{
  text-align: right;
  grid-column: 4 / 4;
  font-size: 4rem;
}
/** FOOTER ***/

.footer{
  margin-top: 8rem ;
  color: var(--blanco);
}
.footer__logo{
  width:6rem;
  margin: 0 auto;
  padding: 2rem 0;
}
@media (min-width: 1280px){
  .footer__logo{
    width: 10rem;
  }
}
.footer__flex{
  display: flex;
  justify-content: space-between;
  flex-direction: column;
 text-align: center;
  color: var(--blanco);
}

@media (min-width: 1280px){
  .footer__flex{
    display: flex;
  justify-content: space-between;
  flex-direction: row;
  
    padding: 0 15rem;

  }
}

.footer__select{
  font-size: 1.8rem;
  background-color: var(--negro);
  color: var(--blanco);
  margin-bottom: 2rem;
}
.footer__link{
  color: var(--blanco);
  font-size: 1.8rem;
  margin-bottom: 2rem;
}

.footer__texto{
  text-align: center;
  font-size: 1.8rem;
  padding: 2rem 0;
  line-height: 1.5;
}
@media (min-width: 1280px){
  .footer__select,.footer__link,.footer__texto{
    font-size: 1.2rem;
  }
}

/** LOGIN **/
.login__body{
  background: #1A1D29;
}
.login{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20rem;
  width: 100%;
  text-align: center;
  position: relative;

}
@media (min-width: 1280px){
  

}

.logo__login{
  width: 20rem;

 padding-bottom: 6rem ;
 position: absolute;
 top: -13rem;
}
@media (min-width: 1280px){
  .logo__login{
    left: 44%;
}

  
}

.login__heading{
  font-size: 1.8rem;
  padding-bottom: 2rem;
  text-align: left;
  padding-left: -2rem;
}
.login__input{
  display: block;
  width: 100%;
  
  margin-bottom: 3rem;
  padding: 2rem 5rem;
  background-color: #31343F;
  border: 1px solid transparent;
  color: var(--blanco);
  font-size: 1.6rem;
  border: .2rem solid var(--blanco);
}
@media (min-width: 1280px){
  .login__input{
    width: 120%;

  }
}
.login__input--azul{
  border: none;
  background-color: var(--botonheader);
  border-radius: .5rem;
}
.login__texto{
  font-size: 1.6rem;

}